.help-block {
    color: red;
    border-color: #dd4b39;
    float: right;
    margin-top: 0px;
}

.form-group.has-error.has-danger .form-control-label {
  color: red;
}

.form-group.has-feedback.has-error .form-control{
    border-color: #dc3545 !important;
    padding-right: calc(1.5em + .75rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' fill='none' stroke='%23dc3545' viewBox='0 0 12 12'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(.375em + .1875rem) center;
    background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

.form-group.has-feedback.has-success .form-control{
    border-color: #28a745 !important;
    padding-right: calc(1.5em + .75rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='8' height='8' viewBox='0 0 8 8'%3e%3cpath fill='%2328a745' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(.375em + .1875rem) center;
    background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

.font_white{
    color: #ffffff !important;
}

/*Menu*/
.sidenav-light .sidenav-menu .nav-link.active {
    border-right: 4px solid #007bff;
    color: #007bff;
}

/*Modal*/
.modal-title {
    position: absolute;
    margin: -8px;
}

.modal-header .close {
    box-shadow: none;
}

/* cabecera */
.bg-lineGradient {
    background-image: linear-gradient(to right,#2c3f56,#2c3f56);
}


.bg-lineGradient_2 {
/*    background-image: none;*/
    background-image: linear-gradient(to right,#2c3f56,#046e37);
    /*background-image: url("img/fondo_slide.jpg");*/
    background-repeat: repeat;
    box-shadow: none;
}


.bg-lineGradient_3 {
    background-image: linear-gradient(to right,#046e37,#046e37);
}


.pageH1 {
    /*background-image: linear-gradient(to right,#2c3f56,#1c545d) !important;*/
    /*background-image: linear-gradient(to right,#448eec,#105bbb) !important;*/
    background-image: linear-gradient(to right,#e3e6f0,#dfe4ea) !important;
    color: #5a5c69 !important;
    font-weight: 500;
}

}

.shadow {
    box-shadow: 0px 0px 8px 3px rgba(0, 0, 0, 0.2)!important;
}

.shadow_2 {
    box-shadow: 0 .15rem 1.75rem 0 rgba(58,59,69,.062)!important;
}

/*btn inicio*/
.btn-primary {
    color: #fff;
    background-color: #2c3f56;
    border-color: #2c3f56;
}

.btn-primary:hover {
    color: #fff;
    background-color: #0b1e38;
    border-color: #0b1e38;
}

.btn-primary.disabled, .btn-primary:disabled {
    color: #fff;
    background-color: #1f2d41;
    border-color: #1f2d41;
}

.btn-secondary {
    color: #fff;
    background-color: #2c3f56;
    border-color: #2c3f56;
}

.btn-secondary:hover {
    color: #fff;
    background-color: #046e37;
    border-color: #046e37;
}

.btn-info {
    color: #fff;
    background-color: #046e37;
    border-color: #fff;
}

.btn-info:hover {
    color: #ffffff;
    background-color: #2c3f56;
    border-color: #ffffff;
}

.bottomLine2 {
    border-bottom: 2px solid #046e37!important;
}

.text-primary {
    color: #2c3f56!important;
}

.textShadow {
    color: #939497!important;
}

.btn-link {
    color: #2c3f56;
}

.btn-link:hover {
    color: #046e37;
}

.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .btn-primary:focus {
    color: #fff;
    background-color: #0b1e38;
    border-color: #0b1e38;
}

.textShadow {
    text-shadow: #046e37;
    color: #2c3f56;
}

.bottomLine2 {
    border-bottom: 2px solid #046e37;
}

.sidenav-light .sidenav-menu .nav-link:hover {
    color: #046e37;
}

.sidenav-light .sidenav-menu .nav-link.active {
    border-right: 4px solid #046e37;
    color: #046e37;
    background-color: #e3e6f0;
}

.sidenav .sidenav-menu .nav .nav-link .nav-link-icon .feather {
    color: #939497;
}

.icon_footer{
    color: #046e37;   
}

/*Alert*/
.swal2-confirm{
    background-color: #046e37 !important;
    border-left-color: #2c3f56 !important;
    border-right-color: #2c3f56 !important;
}

.swal2-icon.swal2-warning {
    border-color: #2c3f56 !important;
    color: #2c3f56 !important;
}

.swal2-icon.swal2-success {
    border-color: #2c3f56 !important;
    color: #2c3f56 !important;
}

.swal2-icon.swal2-success .swal2-success-ring {
    border: .25em solid #2c3f56 !important;
}

.swal2-icon.swal2-success [class^=swal2-success-line] {
     background-color: #2c3f56 !important; 
}

/*Loader*/
.loader-grew {
    position: absolute;
    top: 50%;
    left: 50%;
    display: inline-block;
    width: 2rem;
    height: 2rem;
    vertical-align: text-bottom;
    background-color: currentColor;
    border-radius: 50%;
    opacity: 0;
    -webkit-animation: spinner-grow 1s linear infinite;
    animation: spinner-grow 1s linear infinite;
    color: #2c3f56!important;
}

.msgBox {
    width: 100%
}

.stcalendario {
    width: 23px;
    height: 23px;
    border-radius: 50%;
    background: #2c3f56;
    color: #fff !important;
    margin: auto;
    padding: 1px 0px 0px 0px;
}

.stcalendario:hover {
    background-color: #1c545d!important;
    border: 1px solid #1c545d;
}

.st2calendario{
    width: 23px;
    height: 23px;
    border-radius: 50%;
    border: 1px solid #b7b9cc;
    margin: auto;
    padding: 1px 0px 0px 0px;
}

.badgecalendario {
    font-weight: 500;
}

/*Mail*/
.mail-nav>li>a {
    border-radius: 0
}

.mail-nav>li>a:hover,.mail-nav>li>a:focus {
    background-color: transparent
}

.mail-nav>li.active>a,.mail-nav>li.active>a:hover,.mail-nav>li.active>a:focus {
    background-color: rgba(0,0,0,0.07);
    color: inherit;
    font-weight: 600
}

.mail-list {
    list-style: none;
    padding: 0
}

.mail-list>li {
    position: relative;
    padding: 12px;
    border-radius: 1px;
    border-bottom: 1px solid #e6e6e6;
}

.mail-list>li:after {
    content: '';
    display: table;
    clear: both
}

.mail-list .mail-list-unread a {
    font-weight: 700;
    color: #4d627b
}

.mail-nav-unread {
    font-weight: 700;
    color: #4d627b !important
}

.mail-control {
    float: left;
    width: 40px
}

.mail-star {
    position: absolute;
    top: 47px;
    margin-left: 1px
}

.mail-from {
    float: left;
    width: 105px
}

.mail-subject {
    margin: 2.3em 0 0 40px
}

.mail-subject .label {
    margin-right: .5em;
    vertical-align: middle;
    line-height: 2
}

.mail-list .mail-from a,.mail-list .mail-subject a {
    /* display: block; */
    /* white-space: nowrap; */
    /* overflow: hidden; */
    /* text-overflow: ellipsis; */
}

.mail-attach-icon {
    width: 35px;
    float: right;
    text-align: center;
    min-height: 1.5em
}

.mail-time {
    float: right;
    color: #96a0a5;
    font-size: 85%;
    text-align: right
}

.mail-toggle.navbar-toggle {
    display: block
}

.mail-message {
    padding: 15px 0;
    border-width: 1px 0;
    border-style: solid;
    border-color: rgba(0,0,0,0.07)
}

.mail-message strong,.mail-message b {
    color: #4d627b
}

@media (min-width: 992px) {
    .mail-nav {
        width:255px
    }

    .mail-menu {
        display: block !important
    }

    .mail-control,.mail-star {
        float: left;
        width: 50px
    }

    .mail-from {
        width: 125px
    }

    .mail-attach-icon {
        width: 35px;
        float: right;
        text-align: right;
        min-height: 1.5em
    }

    .mail-time {
        /*width: 75px*/
        width: 20%
    }

    .mail-subject {
        /* overflow: hidden; */
        margin: 0 20px 0 0;
    }
}

@media (min-width: 470px) {
    .mail-star {
        position:static;
        float: left;
        width: 35px
    }

    .mail-from {
        /*width: 125px;*/
        width: 30%;
        margin-right: 20px
    }

    .mail-subject {
        /* display: block */
    }
}

.mail-list>li:nth-child(odd) {
    background-color: rgba(0,0,0,0.01);
}

.mail-list>li:hover {
    background-color: rgba(0,0,0,0.05)
}

.mail-list>li.highlight {
    background-color: #f2f0c2
}

.mail-list a,.mail-list a:focus {
    color: #7a878e
}

.mail-star i {
    font-size: 1.2em;
    line-height: 1.24
}

.mail-star>a,.mail-star>a:focus {
    color: #d3d7da !important
}

.mail-starred .mail-star>a {
    color: #ffa100 !important
}

.mail-list .mail-star>a:hover {
    color: #ffbd4d !important
}

.mail-attach-list {
    list-style: none;
    padding: 0
}

.mail-attach-list>li {
    display: inline-block;
    width: 190px
}

.mail-attach-list>li .mail-file-img,.mail-attach-list>li .mail-file-icon {
    height: 120px;
    overflow: hidden;
    text-align: center;
    background-color: #f8f9fa
}

.mail-attach-list>li i {
    font-size: 75px;
    line-height: 120px;
    opacity: 0.4
}

.mail-attach-list>li img {
    max-width: 210px;
    height: auto
}

.mail-attach-label {
    min-width: 5em
}

.mail-attach-file {
    overflow: hidden
}

.mail-attach-btn {
    float: right
}

@media (min-width: 1200px) {
    .mail-attach-label {
        float:left
    }
}

.mail-message-reply {
    min-height: 150px;
    border: 1px solid rgba(0,0,0,0.07);
    border-radius: 3px;
    padding: 10px 15px;
    cursor: pointer
}


.chat-user-list>a {
    display: block;
    padding: 15px 12px
}

.chat-user-list .media-left {
    display: block;
    float: left;
    position: relative;
}

.chat-user-list .media-body {
    display: block;
    overflow: hidden;
    width: auto
}

.chat-user-list .chat-info {
    float: right;
    margin-left: 3px;
    text-align: right
}

.chat-user-list .chat-info>span:first-child {
    display: block
}

.chat-user-list .chat-info>span {
    margin: .55em 0 0
}

.chat-user-list .chat-info>.text-xs {
    font-size: .75em
}

.chat-user-list .chat-text>p {
    display: block;
    margin-bottom: 5px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap
}

.chat-user-list .chat-unread .chat-username {
    font-weight: 700;
    color: #4d627b
}

.chat-body .chat-user .media-left {    
    float: left;
    padding: 0 10px 0 10px
}

.chat-body {
    background-color: #d6dbe0
}

.chat-body>div {
    padding-bottom: 10px;
    padding-top: 10px;
}

.chat-body .chat-me .media-left {
    float: right;
    padding: 0 10px 0 10px
}

.chat-body .chat-me .media-body {
    text-align: right;
    width: 92%;
    margin: 0px 10px;
}

.chat-body .media-body>div>span,.chat-body .media-body>div>p {
    display: inline-block;
    padding: 7px 12px;
    margin-bottom: 2px;
    border-radius: 3px;
    background-color: #03a9f4;
    color: #fff;
    vertical-align: top
}

.chat-body .media-body>div>span small,.chat-body .media-body>div>p small {
    display: block;
    font-size: .8em;
    margin-top: 5px;
    opacity: 0.8
}

.chat-body .media-body>div img {
    max-width: 256px
}

.chat-body .chat-user .media-body>div>span,.chat-body .chat-user .media-body>div>p {
    background-color: #fff;
    color: #575757;
    width: 98%;
}

.chat-body .chat-meta-day {
    display: flex;
    margin: 40px 0;
    text-align: center;
    -webkit-box-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    align-items: center
}

.chat-body .chat-meta-day:before,.chat-body .chat-meta-day:after {
    content: '';
    -webkit-box-flex: 1;
    flex: 1 1 0%;
    border-top: 1px solid rgba(0,0,0,0.07)
}

.chat-body .chat-meta-day .badge {
    background-color: #fff;
    color: inherit !important
}

/*pre*/
.preloader {
    width: 100% !important;
    height: 100%;
    top: 0px;
    position: fixed !important;
    z-index: 99999;
    background: #fff;
}

.preloader .cssload-speeding-wheel {
    position: absolute;
    top: calc(50% - 3.5px);
    left: calc(50% - 3.5px);
}

.badge {
    font-weight: unset;
}

.avatar{
    border: 1px solid #105bbb;
    outline: 2px solid #f9f6f1;
}

a { color: #046e37;}
a:hover { color: #2c3f56;}